Subject: [Adslmib] RFC3728 (1788) (RFC Errata System)

From: "Ray, Robert E. (MSFC-NNM05AB50C)" <[email-masked]>
Date: Tue, 26 May 2009 11:06:54 -0500

Hi.

Smadar Tauber <[email-masked]> wrote:

>UNITS statement (dBm) does not match units appearing in 
>DESCRIPTION text (dB).
>
>I think 'dB' are the right units for the objects above,
>but one can check that. Anyway, it is clear that there 
>should not be the existing mismatch.
>
>Same problem for more MIB objects in the RFC.

First, I'm glad someone is implementing RFC 3278!!!  An implementation report would be welcomed by this group.

Second, dBm is dB measured at the reference power of 1 milliwatt.  Thus, dBm would be the more correct term (versus dB).  I think some of us assume a reference power of 1 milliwatt, and therefore see the terms as interchangeable in this context.  Old habits, I suppose.  I apologize for the confusion.

Third, I doubt RFC 3278 will ever be changed.  The IESG can amend the "Errata report" with this explanation, perhaps, if everyone agrees.  Mike?  Menachem? Moti?  

Hope this helps!

Regards,
Bob Ray

Robert E. Ray, Jr., Ph.D.
Advanced Avionics and Processor Systems
Jacobs/ESTS
Marshall Space Flight Center
EV43, Bldg. 4487, Rm B183
(256) 544-0604 (W)

---

From: Smadar Tauber <[email-masked]>
Date: Wed, 27 May 2009 07:39:14 +0300

Hi Bob,

Thanks for your explanation.
I think that an errata report with this explanation can be good, considering the fact
that this RFC may not be changed in the future. It will also prevent same remark
from somebody else, in the future.

Regarding implementation report, is there a form or requirements for such report ?
I mean, what is exactly expected ? Which MIB objects do we use ?

I see that you are an expert in Avionics.
It is a very interesting field. I myself am an Avionics engineer and I worked in the past
in IAI (Israeli Aircraft Industry). I work now in a Communications company, but still
have good memories from my Avionics career. 

Thanks and Best Regards,
Smadar Tauber

-----Original Message-----
From: Ray, Robert E. (MSFC-NNM05AB50C) [mailto:[email-masked]] 
Sent: Tuesday, May 26, 2009 19:07
To: [email-masked]
Cc: Smadar Tauber
Subject: RFC3728 (1788) (RFC Errata System)

Hi.

Smadar Tauber <[email-masked]> wrote:

>UNITS statement (dBm) does not match units appearing in DESCRIPTION 
>text (dB).
>
>I think 'dB' are the right units for the objects above, but one can 
>check that. Anyway, it is clear that there should not be the existing 
>mismatch.
>

Hope this helps!

Regards,
Bob Ray

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 27 May 2009 18:49:03 +0200

> From: [email-masked] 

> 
> Third, I doubt RFC 3278 will ever be changed.  The IESG can 
> amend the "Errata report" with this explanation, perhaps, if 
> everyone agrees.  Mike?  Menachem? Moti?  
> 
> Hope this helps!
> 
> Regards,
> Bob Ray
> 

There are several ways to mark an errata request. 

Verified - practically meaning accepted as proposed
Rejected
Held for Document Update

In this case a change in semantics cannot be just accepted as proposed,
as the accepted method to change semantics of an object is according to
the SMI rules by deprecating the old object and defining a new one.  

We need however to get consensus in the WG on what is the right solution
from a technical point of view. 

Dan

---

From: Menachem Dodge <[email-masked]>
Date: Wed, 27 May 2009 19:59:54 +0300

Hi,

When I look at the corresponding objects as defined in the ITU-T G997.1:

Section 7.5.1.13 Downstream Signal-to-Noise Ratio Margin (SNRMds)

The downstream signal-to-noise ratio margin is the maximum increase in dB of the noise power received at the xTU-R, such that the BER requirements are met for all downstream bearer channels. The downstream SNR margin ranges from -64 dB to +63 dB with 0.1 dB steps. A special value indicates the parameter is out of range to be represented.

So this seems to indicate that dB would be the correct units.

Best Regards,

Menachem

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Wednesday, May 27, 2009 7:49 PM
To: Ray, Robert E. (MSFC-NNM05AB50C); [email-masked]
Cc: [email-masked]
Subject: Re: [Adslmib] RFC3728 (1788) (RFC Errata System)

Rejected

Held for Document Update

Dan

_______________________________________________

Adslmib mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/adslmib

---

From: "Ray, Robert E. (MSFC-NNM05AB50C)" <[email-masked]>
Date: Wed, 27 May 2009 12:50:37 -0500

Menachem:

Exactly so.  Perhaps you can guess where I got the text for the DESCRIPTION clause.

Without an explicit or implicit reference level, decibel (dB) is undefined as it represents a ratio.  In our case (as with the ITU document), the reference level is explicitly specified in the UNITS clause.  If it were not, it would be implied by the context.  That is, we are measuring changes in audio levels in telephone circuits.  This has a VERY long and established history (the bel is named after Alexander Graham Bell, a decibel being one tenth of a bel).

Because of this, I disagree completely with the Bert and Dan on this because I don't think the semantics are changed at all.  I think the context, and hence the reference level, is completely stated.  We are, after all, dealing with telephone wires.

However, if one felt forced, compelled, to be more specific, then, changing "dB" in the DESCRIPTION clause to "dBm" would be the more accurate change.

Regards,
Bob Ray

From: Menachem Dodge [mailto:[email-masked]]
Sent: Wednesday, May 27, 2009 12:00 PM
To: Romascanu, Dan (Dan); Ray, Robert E. (MSFC-NNM05AB50C); [email-masked]
Cc: [email-masked]
Subject: RE: [Adslmib] RFC3728 (1788) (RFC Errata System)

Hi,

Best Regards,

Menachem

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Wednesday, May 27, 2009 7:49 PM
To: Ray, Robert E. (MSFC-NNM05AB50C); [email-masked]
Cc: [email-masked]
Subject: Re: [Adslmib] RFC3728 (1788) (RFC Errata System)

Rejected

Held for Document Update

Dan

Adslmib mailing list

[email-masked]

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 27 May 2009 11:36:16 -0700

Hi -

> From: "Ray, Robert E. (MSFC-NNM05AB50C)" <[email-masked]>
> To: "Menachem Dodge" <[email-masked]>; "Romascanu, Dan (Dan)" <[email-masked]>; <[email-masked]>
> Cc: <[email-masked]>
> Sent: Wednesday, May 27, 2009 10:50 AM
...
> Because of this, I disagree completely with the Bert and Dan on this because
> I don't think the semantics are changed at all.  I think the context, and hence
> the reference level, is completely stated.  We are, after all, dealing with
> telephone wires.

Agreed.

> However, if one felt forced, compelled, to be more specific, then, changing
> "dB" in the DESCRIPTION clause to "dBm" would be the more accurate change.
...

Agreed.  It's a case of the notation used in the DESCRIPTION clause
being well-understood within the specialist community, but being
potentially ambiguous outside of that community.  If the change
is deemed necessary, it's nothing more than a clarification.

Randy

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 27 May 2009 20:38:12 +0200

If the change is in the DESCRIPTION clause that this can probably be
considered as a clarification and included in a Verified errata.
However, this is not what the errata requester asked for, and we also
received advice from Moti supporting the change as requested by Smadar
(in the UNITS clause). 

Dan

> [mailto:[email-masked]] On Behalf Of Randy Presuhn
> Sent: Wednesday, May 27, 2009 9:36 PM
> To: [email-masked]
> > To: "Menachem Dodge" <[email-masked]>; "Romascanu, Dan 
> > (Dan)" <[email-masked]>; <[email-masked]>
> > Cc: <[email-masked]>
> > Because of this, I disagree completely with the Bert and 
> Dan on this 
> > because I don't think the semantics are changed at all.  I 
> think the 
> > context, and hence the reference level, is completely 
> stated.  We are, 
> > after all, dealing with telephone wires.
> 
> Agreed.
> 
> > However, if one felt forced, compelled, to be more specific, then, 
> > changing "dB" in the DESCRIPTION clause to "dBm" would be 
> the more accurate change.
> ...
> 
> Agreed.  It's a case of the notation used in the DESCRIPTION 
> clause being well-understood within the specialist community, 
> but being potentially ambiguous outside of that community.  
> If the change is deemed necessary, it's nothing more than a 
> clarification.
> 
> Randy
>

---

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Thu, 28 May 2009 00:01:19 +0200

I can possibly live with updatinmg the description clause.
Burt the reported proposal for the fix was going to change Integer32 
to Gaug32, or so I understood. That would be really bad I think.

If the SYNTAXes and the value-ranges) all stay the same,
then I guess that formally it would still be a semantic change, but 
it is a matter of wording change that I could probably accept
if the WG really has consensus on this.

Bert
  ----- Original Message ----- 
  From: Randy Presuhn 
  To: [email-masked] 
  Sent: Wednesday, May 27, 2009 8:36 PM
  Subject: Re: [Adslmib] RFC3728 (1788) (RFC Errata System)

  Hi -

  ...

  Agreed.

  ...

  Randy

------------------------------------------------------------------------------

  No virus found in this incoming message.
  Checked by AVG - www.avg.com 
  Version: 8.5.339 / Virus Database: 270.12.42/2137 - Release Date: 05/27/09 07:50:00

---

From: Scott Baillie <[email-masked]>
Date: Fri, 29 May 2009 03:06:34 +1000

Hi All,

I think the UNITS clause should be changed to "0.25dB"
and this is not an incompatible change.

The MIB object in question holds a noise margin value
and is expressed in dB. The MIB object does not represent
a power level, it represents a ratio of power levels.
Because the MIB object represents a ratio there is no
need to mention power levels at all in the UNITS clause
or in the DESCRIPTION clause.

I have a few comments about some of the previous posts :

>Without an explicit or implicit reference level, decibel (dB) is
>undefined as it represents a ratio.  In our case (as with the ITU
>document), the reference level is explicitly specified in the UNITS
>clause.  If it were not, it would be implied by the context.  That is,
>we are measuring changes in audio levels in telephone circuits.  This
>has a VERY long and established history (the bel is named after
>Alexander Graham Bell, a decibel being one tenth of a bel).

I understand that it is convenient to use dBm when expressing power
levels in telephone circuits but the MIB object in question is a
noise margin, not a power level.

>changing “dB” in the DESCRIPTION clause to “dBm” would be the more
>accurate change.

That change would be completely incorrect.

>to Gaug32, or so I understood. That would be really bad I think.

No need to change the SYNTAX clause.

Regards,

Scott.

On Thu, 2009-05-28 at 00:01 +0200, Bert Wijnen (IETF) wrote:
>         > To: "Menachem Dodge" <[email-masked]>;
>         "Romascanu, Dan (Dan)" <[email-masked]>;
>         <[email-masked]>
>         > Cc: <[email-masked]>
>         clause
>         ______________________________________________________________
>         
>

---

From: Menachem Dodge <[email-masked]>
Date: Mon, 1 Jun 2009 09:58:59 +0300

Hi,

So I believe there is now consensus that:
 
  The UNITS clause should be changed to "0.25dB" (instead of "0.25dBm").

No other changes are needed to any of the other clauses.

Are there any objections to accepting this errata? 

Best Regards,
Menachem

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Scott Baillie
Sent: Thursday, May 28, 2009 8:07 PM
To: Bert Wijnen (IETF)
Cc: [email-masked]
Subject: Re: [Adslmib] RFC3728 (1788) (RFC Errata System)

Hi All,

Regards,

Scott.